HMWJTextInternal::State Struct Reference

Internal: the state of a HMWJText. More...

## Public Member Functions

| State ()
| constructor More...

## Public Attributes

int | m_version
| the file version More...
std::vector< MWAWFont > | m_fontList
| the font list More...
std::vector< Paragraph > | m_paragraphList
| the list of paragraph More...
std::vector< Section > | m_sectionList
| the list of section More...
long | m_ftnTextId
| the footnote zone id; More...
std::vector< long > | m_ftnFirstPosList
| the footnote begin positions More...
std::vector< TextZone > | m_textZoneList
| the list of text zone More...
std::map< long, int > | m_idTextZoneMap
| a map textId -> id in m_textZoneList More...
int | m_numPages
int | m_actualPage

## Detailed Description

Internal: the state of a HMWJText.

## Constructor & Destructor Documentation

HMWJTextInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

int HMWJTextInternal::State::m_actualPage

std::vector<MWAWFont> HMWJTextInternal::State::m_fontList

the font list

std::vector<long> HMWJTextInternal::State::m_ftnFirstPosList

the footnote begin positions

long HMWJTextInternal::State::m_ftnTextId

the footnote zone id;

std::map<long, int> HMWJTextInternal::State::m_idTextZoneMap

a map textId -> id in m_textZoneList

int HMWJTextInternal::State::m_numPages

std::vector<Paragraph> HMWJTextInternal::State::m_paragraphList

the list of paragraph

std::vector<Section> HMWJTextInternal::State::m_sectionList

the list of section

std::vector<TextZone> HMWJTextInternal::State::m_textZoneList

the list of text zone

int HMWJTextInternal::State::m_version

mutable

the file version

The documentation for this struct was generated from the following file:

- HMWJText.cxx